<html>
<head>
<title>Ogre::SimplePageContentCollection Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SimplePageContentCollection.html">SimplePageContentCollection</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SimplePageContentCollection Class Reference<div class="ingroups"><a class="el" href="group__Optional.html">Components</a> &#124; <a class="el" href="group__Paging.html">Paging</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SimplePageContentCollection" --><!-- doxytag: inherits="Ogre::PageContentCollection" -->
<p>Specialisation of <a class="el" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a> which just provides a simple list of <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> instances.  
 <a href="classOgre_1_1SimplePageContentCollection.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSimplePageContentCollection_8h_source.html">OgreSimplePageContentCollection.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::SimplePageContentCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1SimplePageContentCollection__inherit__graph.gif" border="0" usemap="#Ogre_1_1SimplePageContentCollection_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1SimplePageContentCollection_inherit__map" id="Ogre_1_1SimplePageContentCollection_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances." alt="" coords="25,83,217,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="81,5,161,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1SimplePageContentCollection-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1PageContent.html">PageContent</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#ab2bba46c537debed82c678c066257a46">ContentList</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#af7c7c261d679b97e76e29ead8be3bd17">SimplePageContentCollection</a> (<a class="el" href="classOgre_1_1PageContentCollectionFactory.html">PageContentCollectionFactory</a> *creator)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#a72fc689a31a6df0a2f647e8fd015ffba">~SimplePageContentCollection</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1PageContent.html">PageContent</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#a42af5f79239821846c178ba28ce85ea7">createContent</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;typeName)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> within this collection.  <a href="#a42af5f79239821846c178ba28ce85ea7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#a184464de7cd9ea739d91364e3e182a8a">destroyContent</a> (<a class="el" href="classOgre_1_1PageContent.html">PageContent</a> *coll)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy a <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> within this page.  <a href="#a184464de7cd9ea739d91364e3e182a8a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOgre_1_1SimplePageContentCollection.html#ab2bba46c537debed82c678c066257a46">ContentList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#a44649c41c9a84f36203f34a2ee892b47">getContentList</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get const access to the list of content.  <a href="#a44649c41c9a84f36203f34a2ee892b47"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#a3b44d9133028051fa8310fdf73087e16">save</a> (<a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save the collection to a stream.  <a href="#a3b44d9133028051fa8310fdf73087e16"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#af009a28d63fdea54a4a495ca94103dbd">frameStart</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timeSinceLastFrame)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the frame starts.  <a href="#af009a28d63fdea54a4a495ca94103dbd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#af8abde8b5410ca7c9b6fb23fea700dc5">frameEnd</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timeElapsed)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the frame ends.  <a href="#af8abde8b5410ca7c9b6fb23fea700dc5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#a46e7142f461ad0c2a18d7f2731c27375">notifyCamera</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Notify a section of the current camera.  <a href="#a46e7142f461ad0c2a18d7f2731c27375"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#aec07cbbc6bbb28c3bb8c6e97c79b49eb">prepare</a> (<a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Prepare data - may be called in the background.  <a href="#aec07cbbc6bbb28c3bb8c6e97c79b49eb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#a990fe2d86d3e7b18f637b0c41de794f2">load</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load - will be called in main thread.  <a href="#a990fe2d86d3e7b18f637b0c41de794f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#a10ee90b66dc24b7df217aa4d599dd112">unload</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unload - will be called in main thread.  <a href="#a10ee90b66dc24b7df217aa4d599dd112"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#a309e0261c394877563fadfe7dc88a971">unprepare</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unprepare data - may be called in the background.  <a href="#a309e0261c394877563fadfe7dc88a971"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PageManager.html">PageManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#aeaeddd28fcc7312b0373680248f8b6c2">getManager</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#ac70a74bb8c37795b289d51ffda4abac5">getParentPage</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#ab0d7e95ef4b251de34c23c3f720e4ca2">getSceneManager</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a9f03985a93c828733c5e2f10b9958f1a">getType</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the type of the collection, which will match it's factory.  <a href="#a9f03985a93c828733c5e2f10b9958f1a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a774c75c12ecd87171424be83226d6c45">_notifyAttached</a> (<a class="el" href="classOgre_1_1Page.html">Page</a> *parent)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to notify a collection that it is attached.  <a href="#a774c75c12ecd87171424be83226d6c45"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#a83a7da85aebcb68a7d0042ac11391d3b">SUBCLASS_CHUNK_ID</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#acec3e8d6e9439e811e76a3ed1584f1f7">SUBCLASS_CHUNK_VERSION</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#aa73e82a2444f6105c6e61ef83d18292d">CHUNK_ID</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a25aebf4e31d562701d2c7640e1056121">CHUNK_VERSION</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#ab2bba46c537debed82c678c066257a46">ContentList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#a1129f8941928ba21ddc60a45faaba219">mContentList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PageContentCollectionFactory.html">PageContentCollectionFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#ae06889d26c130b5cb7f349a8ff85bebd">mCreator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#ad58d577f86370140bc63bdfb1e934682">mParent</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Specialisation of <a class="el" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a> which just provides a simple list of <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> instances. </p>
<dl class="user"><dt><b></b></dt><dd>The data format for this in a file is:<br/>
 <b>SimplePageContentCollectionData (Identifier 'SPCD')</b><br/>
 [Version 1] <table class="doxtable">
<tr>
<td><b>Name</b> </td><td><b>Type</b> </td><td><b>Description</b>  </td></tr>
<tr>
<td>Nested contents </td><td>Nested chunk list </td><td>A sequence of nested <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> chunks  </td></tr>
</table>
</dd></dl>

<p>Definition at line <a class="el" href="OgreSimplePageContentCollection_8h_source.html#l00066">66</a> of file <a class="el" href="OgreSimplePageContentCollection_8h_source.html">OgreSimplePageContentCollection.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="ab2bba46c537debed82c678c066257a46"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::ContentList" ref="ab2bba46c537debed82c678c066257a46" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1PageContent.html">PageContent</a>*&gt;::type <a class="el" href="classOgre_1_1SimplePageContentCollection.html#ab2bba46c537debed82c678c066257a46">Ogre::SimplePageContentCollection::ContentList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSimplePageContentCollection_8h_source.html#l00069">69</a> of file <a class="el" href="OgreSimplePageContentCollection_8h_source.html">OgreSimplePageContentCollection.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af7c7c261d679b97e76e29ead8be3bd17"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::SimplePageContentCollection" ref="af7c7c261d679b97e76e29ead8be3bd17" args="(PageContentCollectionFactory *creator)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#af7c7c261d679b97e76e29ead8be3bd17">Ogre::SimplePageContentCollection::SimplePageContentCollection</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PageContentCollectionFactory.html">PageContentCollectionFactory</a> *&#160;</td>
          <td class="paramname"><em>creator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a72fc689a31a6df0a2f647e8fd015ffba"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::~SimplePageContentCollection" ref="a72fc689a31a6df0a2f647e8fd015ffba" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#a72fc689a31a6df0a2f647e8fd015ffba">Ogre::SimplePageContentCollection::~SimplePageContentCollection</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a774c75c12ecd87171424be83226d6c45"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::_notifyAttached" ref="a774c75c12ecd87171424be83226d6c45" args="(Page *parent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1PageContentCollection.html#a774c75c12ecd87171424be83226d6c45">Ogre::PageContentCollection::_notifyAttached</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to notify a collection that it is attached. </p>

</div>
</div>
<a class="anchor" id="a42af5f79239821846c178ba28ce85ea7"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::createContent" ref="a42af5f79239821846c178ba28ce85ea7" args="(const String &amp;typeName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1PageContent.html">PageContent</a>* <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a42af5f79239821846c178ba28ce85ea7">Ogre::SimplePageContentCollection::createContent</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>typeName</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> within this collection. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">typeName</td><td>The name of the type of content (see <a class="el" href="classOgre_1_1PageManager.html#a7cd6010643a0ab1f4025bc774e4b2b3d" title="Get a reference to the registered strategies.">PageManager::getContentFactories</a>) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a184464de7cd9ea739d91364e3e182a8a"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::destroyContent" ref="a184464de7cd9ea739d91364e3e182a8a" args="(PageContent *coll)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a184464de7cd9ea739d91364e3e182a8a">Ogre::SimplePageContentCollection::destroyContent</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PageContent.html">PageContent</a> *&#160;</td>
          <td class="paramname"><em>coll</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destroy a <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> within this page. </p>
<p>This is equivalent to calling detachContent and <a class="el" href="classOgre_1_1PageManager.html#a149848fcf3f5634246f5d0cee54ef69c" title="Destroy an instance of PageContent.">PageManager::destroyContent</a>. </p>

</div>
</div>
<a class="anchor" id="af8abde8b5410ca7c9b6fb23fea700dc5"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::frameEnd" ref="af8abde8b5410ca7c9b6fb23fea700dc5" args="(Real timeElapsed)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1SimplePageContentCollection.html#af8abde8b5410ca7c9b6fb23fea700dc5">Ogre::SimplePageContentCollection::frameEnd</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timeElapsed</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when the frame ends. </p>

<p>Implements <a class="el" href="classOgre_1_1PageContentCollection.html#ac4ec08ff17fa501859bd22b556b14a3e">Ogre::PageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="af009a28d63fdea54a4a495ca94103dbd"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::frameStart" ref="af009a28d63fdea54a4a495ca94103dbd" args="(Real timeSinceLastFrame)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1SimplePageContentCollection.html#af009a28d63fdea54a4a495ca94103dbd">Ogre::SimplePageContentCollection::frameStart</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timeSinceLastFrame</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when the frame starts. </p>

<p>Implements <a class="el" href="classOgre_1_1PageContentCollection.html#a0faed09c71edb7a1a8ef2103ec393095">Ogre::PageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="a44649c41c9a84f36203f34a2ee892b47"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::getContentList" ref="a44649c41c9a84f36203f34a2ee892b47" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOgre_1_1SimplePageContentCollection.html#ab2bba46c537debed82c678c066257a46">ContentList</a>&amp; <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a44649c41c9a84f36203f34a2ee892b47">Ogre::SimplePageContentCollection::getContentList</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get const access to the list of content. </p>

<p>Definition at line <a class="el" href="OgreSimplePageContentCollection_8h_source.html#l00090">90</a> of file <a class="el" href="OgreSimplePageContentCollection_8h_source.html">OgreSimplePageContentCollection.h</a>.</p>

</div>
</div>
<a class="anchor" id="aeaeddd28fcc7312b0373680248f8b6c2"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::getManager" ref="aeaeddd28fcc7312b0373680248f8b6c2" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PageManager.html">PageManager</a>* <a class="el" href="classOgre_1_1PageContentCollection.html#aeaeddd28fcc7312b0373680248f8b6c2">Ogre::PageContentCollection::getManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac70a74bb8c37795b289d51ffda4abac5"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::getParentPage" ref="ac70a74bb8c37795b289d51ffda4abac5" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Page.html">Page</a>* <a class="el" href="classOgre_1_1PageContentCollection.html#ac70a74bb8c37795b289d51ffda4abac5">Ogre::PageContentCollection::getParentPage</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePageContentCollection_8h_source.html#l00068">68</a> of file <a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab0d7e95ef4b251de34c23c3f720e4ca2"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::getSceneManager" ref="ab0d7e95ef4b251de34c23c3f720e4ca2" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1PageContentCollection.html#ab0d7e95ef4b251de34c23c3f720e4ca2">Ogre::PageContentCollection::getSceneManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9f03985a93c828733c5e2f10b9958f1a"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::getType" ref="a9f03985a93c828733c5e2f10b9958f1a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1PageContentCollection.html#a9f03985a93c828733c5e2f10b9958f1a">Ogre::PageContentCollection::getType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the type of the collection, which will match it's factory. </p>

</div>
</div>
<a class="anchor" id="a990fe2d86d3e7b18f637b0c41de794f2"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::load" ref="a990fe2d86d3e7b18f637b0c41de794f2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a990fe2d86d3e7b18f637b0c41de794f2">Ogre::SimplePageContentCollection::load</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load - will be called in main thread. </p>

<p>Implements <a class="el" href="classOgre_1_1PageContentCollection.html#a6b290de51f0655730036f67b59f22413">Ogre::PageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="a46e7142f461ad0c2a18d7f2731c27375"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::notifyCamera" ref="a46e7142f461ad0c2a18d7f2731c27375" args="(Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a46e7142f461ad0c2a18d7f2731c27375">Ogre::SimplePageContentCollection::notifyCamera</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Notify a section of the current camera. </p>

<p>Implements <a class="el" href="classOgre_1_1PageContentCollection.html#a5e28279e1fc36fe4b215ad475bb7090d">Ogre::PageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="aec07cbbc6bbb28c3bb8c6e97c79b49eb"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::prepare" ref="aec07cbbc6bbb28c3bb8c6e97c79b49eb" args="(StreamSerialiser &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SimplePageContentCollection.html#aec07cbbc6bbb28c3bb8c6e97c79b49eb">Ogre::SimplePageContentCollection::prepare</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;&#160;</td>
          <td class="paramname"><em>ser</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Prepare data - may be called in the background. </p>

<p>Implements <a class="el" href="classOgre_1_1PageContentCollection.html#a1d18c47764d346df056663049e76c958">Ogre::PageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="a3b44d9133028051fa8310fdf73087e16"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::save" ref="a3b44d9133028051fa8310fdf73087e16" args="(StreamSerialiser &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a3b44d9133028051fa8310fdf73087e16">Ogre::SimplePageContentCollection::save</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save the collection to a stream. </p>

<p>Implements <a class="el" href="classOgre_1_1PageContentCollection.html#a4f89ee2539f53428825a054746c1c368">Ogre::PageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="a10ee90b66dc24b7df217aa4d599dd112"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::unload" ref="a10ee90b66dc24b7df217aa4d599dd112" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a10ee90b66dc24b7df217aa4d599dd112">Ogre::SimplePageContentCollection::unload</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unload - will be called in main thread. </p>

<p>Implements <a class="el" href="classOgre_1_1PageContentCollection.html#a18d6ed685dbcb41aa58dc030e5f52965">Ogre::PageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="a309e0261c394877563fadfe7dc88a971"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::unprepare" ref="a309e0261c394877563fadfe7dc88a971" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a309e0261c394877563fadfe7dc88a971">Ogre::SimplePageContentCollection::unprepare</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unprepare data - may be called in the background. </p>

<p>Implements <a class="el" href="classOgre_1_1PageContentCollection.html#a1cd76ce55e061f071675fc9d7858a4f7">Ogre::PageContentCollection</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aa73e82a2444f6105c6e61ef83d18292d"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::CHUNK_ID" ref="aa73e82a2444f6105c6e61ef83d18292d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1PageContentCollection.html#aa73e82a2444f6105c6e61ef83d18292d">Ogre::PageContentCollection::CHUNK_ID</a><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePageContentCollection_8h_source.html#l00061">61</a> of file <a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a>.</p>

</div>
</div>
<a class="anchor" id="a25aebf4e31d562701d2c7640e1056121"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::CHUNK_VERSION" ref="a25aebf4e31d562701d2c7640e1056121" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1PageContentCollection.html#a25aebf4e31d562701d2c7640e1056121">Ogre::PageContentCollection::CHUNK_VERSION</a><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePageContentCollection_8h_source.html#l00062">62</a> of file <a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1129f8941928ba21ddc60a45faaba219"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::mContentList" ref="a1129f8941928ba21ddc60a45faaba219" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SimplePageContentCollection.html#ab2bba46c537debed82c678c066257a46">ContentList</a> <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a1129f8941928ba21ddc60a45faaba219">Ogre::SimplePageContentCollection::mContentList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSimplePageContentCollection_8h_source.html#l00073">73</a> of file <a class="el" href="OgreSimplePageContentCollection_8h_source.html">OgreSimplePageContentCollection.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae06889d26c130b5cb7f349a8ff85bebd"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::mCreator" ref="ae06889d26c130b5cb7f349a8ff85bebd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PageContentCollectionFactory.html">PageContentCollectionFactory</a>* <a class="el" href="classOgre_1_1PageContentCollection.html#ae06889d26c130b5cb7f349a8ff85bebd">Ogre::PageContentCollection::mCreator</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePageContentCollection_8h_source.html#l00058">58</a> of file <a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad58d577f86370140bc63bdfb1e934682"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::mParent" ref="ad58d577f86370140bc63bdfb1e934682" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Page.html">Page</a>* <a class="el" href="classOgre_1_1PageContentCollection.html#ad58d577f86370140bc63bdfb1e934682">Ogre::PageContentCollection::mParent</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePageContentCollection_8h_source.html#l00059">59</a> of file <a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a>.</p>

</div>
</div>
<a class="anchor" id="a83a7da85aebcb68a7d0042ac11391d3b"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::SUBCLASS_CHUNK_ID" ref="a83a7da85aebcb68a7d0042ac11391d3b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a83a7da85aebcb68a7d0042ac11391d3b">Ogre::SimplePageContentCollection::SUBCLASS_CHUNK_ID</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSimplePageContentCollection_8h_source.html#l00070">70</a> of file <a class="el" href="OgreSimplePageContentCollection_8h_source.html">OgreSimplePageContentCollection.h</a>.</p>

</div>
</div>
<a class="anchor" id="acec3e8d6e9439e811e76a3ed1584f1f7"></a><!-- doxytag: member="Ogre::SimplePageContentCollection::SUBCLASS_CHUNK_VERSION" ref="acec3e8d6e9439e811e76a3ed1584f1f7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1SimplePageContentCollection.html#acec3e8d6e9439e811e76a3ed1584f1f7">Ogre::SimplePageContentCollection::SUBCLASS_CHUNK_VERSION</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSimplePageContentCollection_8h_source.html#l00071">71</a> of file <a class="el" href="OgreSimplePageContentCollection_8h_source.html">OgreSimplePageContentCollection.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSimplePageContentCollection_8h_source.html">OgreSimplePageContentCollection.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
